#if __VERSION__>=150
  layout(points) in;
  // --> ProgramParameteri(GEOMETRY_INPUT_TYPE)=POINTS
  layout(triangle_strip,max_vertices=36) out;
  // --> ProgramParameteri(GEOMETRY_OUTPUT_TYPE)=TRIANGLE_STRIP
  // --> ProgramParameteri(GEOMETRY_VERTICES_OUT)=36
#endif
uniform mat4 u_ProjectionMatrix;
uniform mat4 u_ModelViewMatrix;
in vec4 g_Color[1];
out vec4 f_Color;
void
main(void) 
{
vec4 c=gl_PosIn(0);
mat4 pvm=u_ProjectionMatrix*u_ModelViewMatrix;
vec4 p0=pvm*(c+vec4(-0.15,-0.15,-0.15,0.0));
vec4 p1=pvm*(c+vec4( 0.15,-0.15,-0.15,0.0));
vec4 p2=pvm*(c+vec4( 0.15, 0.15,-0.15,0.0));
vec4 p3=pvm*(c+vec4(-0.15, 0.15,-0.15,0.0));
vec4 p4=pvm*(c+vec4(-0.15,-0.15, 0.15,0.0));
vec4 p5=pvm*(c+vec4( 0.15,-0.15, 0.15,0.0));
vec4 p6=pvm*(c+vec4( 0.15, 0.15, 0.15,0.0));
vec4 p7=pvm*(c+vec4(-0.15, 0.15, 0.15,0.0));
float nX=-normalize(u_ModelViewMatrix*vec4(1.0,0.0,0.0,0.0)).z;
float nY=-normalize(u_ModelViewMatrix*vec4(0.0,1.0,0.0,0.0)).z;
float nZ=-normalize(u_ModelViewMatrix*vec4(0.0,0.0,1.0,0.0)).z;
f_Color=g_Color[0]*(0.2+max(+nZ,0.0));
gl_Position=p0; EmitVertex();
gl_Position=p3; EmitVertex();
gl_Position=p1; EmitVertex();
gl_Position=p2; EmitVertex(); EndPrimitive();
f_Color=g_Color[0]*(0.2+max(-nZ,0.0));
gl_Position=p4; EmitVertex();
gl_Position=p5; EmitVertex();
gl_Position=p7; EmitVertex();
gl_Position=p6; EmitVertex(); EndPrimitive();
f_Color=g_Color[0]*(0.2+max(+nY,0.0));
gl_Position=p0; EmitVertex();
gl_Position=p1; EmitVertex();
gl_Position=p4; EmitVertex();
gl_Position=p5; EmitVertex(); EndPrimitive();
f_Color=g_Color[0]*(0.2+max(-nY,0.0));
gl_Position=p2; EmitVertex();
gl_Position=p3; EmitVertex();
gl_Position=p6; EmitVertex();
gl_Position=p7; EmitVertex(); EndPrimitive();
f_Color=g_Color[0]*(0.2+max(+nX,0.0));
gl_Position=p3; EmitVertex();
gl_Position=p0; EmitVertex();
gl_Position=p7; EmitVertex();
gl_Position=p4; EmitVertex(); EndPrimitive();
f_Color=g_Color[0]*(0.2+max(-nX,0.0));
gl_Position=p1; EmitVertex();
gl_Position=p2; EmitVertex();
gl_Position=p5; EmitVertex();
gl_Position=p6; EmitVertex(); EndPrimitive();
}
