#!/usr/bin/env python
# -*- coding: utf-8 -*-
#-----------------------------------------------------------------------------
# Copyright (C) 2008-2015 Fabrice HARROUET (ENIB)
#
# This file is part of TransProg.
# 
# TransProg is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# TransProg is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with TransProg.  If not, see <http://www.gnu.org/licenses/>.
#-----------------------------------------------------------------------------

import sys ; sys.path.insert(0,'../../lib')
import TransProgConfig

#-------- Create the construction tool ---------------------------------------

tool=TransProgConfig.Tool()

tool.settings['LIBS']+=['TransGl']

#-------- Enumerate targets and source files ---------------------------------

tool.Program('testSimu',
             ['testSimu.c',
              'renderSimu.c'])

tool.run()

#-----------------------------------------------------------------------------
