//----------------------------------------------------------------------------
// Copyright (c) 2008-2015 Fabrice HARROUET (ENIB)
//
// This file is part of TransProg.
//
// TransProg is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// TransProg is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with TransProg.  If not, see <http://www.gnu.org/licenses/>.
//----------------------------------------------------------------------------

#ifndef TRANSGL_API_H
#define TRANSGL_API_H 1

#include "TransProg/platform.h"

#if defined _WIN32
# if defined WIN32_TRANSGL_DLL
#   define TRANSGL_API_VAR TRANSPROG_EXPORT_SYMBOL
# else
#   define TRANSGL_API_VAR TRANSPROG_IMPORT_SYMBOL
# endif
#else
# define TRANSGL_API_VAR
#endif

#define TRANSGL_API TRANSPROG_EXTERN_C TRANSGL_API_VAR

#endif // TRANSGL_API_H

//----------------------------------------------------------------------------
